Module java.corba
Package org.omg.CORBA

## Class WrongTransactionHelper

- java.lang.Object
- - org.omg.CORBA.WrongTransactionHelper

    public abstract class WrongTransactionHelper
    extends Object

The Helper for `WrongTransaction`. For more information on Helper files, see "Generated Files: Helper Files".

org/omg/CORBA/WrongTransactionHelper.java Generated by the IDL-to-Java compiler (portable), version "3.0" from CORBA.idl Thursday, August 24, 2000 5:32:50 PM PDT

### Constructor Summary

Constructors
Constructor and Description
`WrongTransactionHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static WrongTransaction` `extract(Any a)`
`static String` `id()`
`static void` `insert(Any a, WrongTransaction that)`
`static WrongTransaction` `read(InputStream istream)`
`static TypeCode` `type()`
`static void` `write(OutputStream ostream, WrongTransaction value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WrongTransactionHelper

    public WrongTransactionHelper()

### Method Detail

#### insert

    public static void insert(Any a,
                              WrongTransaction that)

#### extract

    public static WrongTransaction extract(Any a)

#### type

    public static TypeCode type()

#### id

    public static String id()

#### read

    public static WrongTransaction read(InputStream istream)

#### write

    public static void write(OutputStream ostream,
                             WrongTransaction value)